module Debate.Types exposing (..)

-- ARGUMENTS


type alias Argument =
    { argumentTitle : String
    , propositionTitle : String
    , propositionSummary : String
    , propositionReductio : String
    , proofLink : String
    , definitionTable : List Definition
    , argumentCertainty : Int
    , argumentImage : String
    , argumentFormalization : List ArgumentEntry
    }


type alias ArgumentEntry =
    { premises : List PremiseWithNotation
    , conclusion : String
    , conclusionNotation : String
    }


type alias PremiseWithNotation =
    { premise : String
    , notation : String
    }


type alias Definition =
    { definiendum : String
    , definiens : String
    }



-- GIBBERISH


type alias GibberishEntry =
    { gibberishEntry : List GibDomain
    }


type alias GibDomain =
    { gibberishTerms : List GibTerms
    , gibberishDomain : String
    }


type alias GibTerms =
    { term : String
    , explanation : String
    }
